varying vec3 lightVector;
varying vec3 normal;
varying vec3 camera;

void main()
{
	vec3 position = (gl_ModelViewMatrix * gl_Vertex).xyz;
	
	lightVector = gl_LightSource[0].position.xyz - position;
	normal = gl_NormalMatrix * gl_Normal;
	camera = -position;
	
	gl_Position    = gl_ModelViewProjectionMatrix * gl_Vertex;
}
